<?php if(!$flag){ exit(); }


if(!function_exists("installPowerPress")){
function installPowerPress(){
global $table, $mysqli, $base_url, $rv;
echo '<html><body style=" margin: 120px; ">
<h3> Install Power Press! </h3>
<p> Select the tables below which you want to create. </p>
<h3> NOTE: If table already exists, it will get deleted & then recreated. </h3>
<p> If a table is deleted, then all data inside it is lost, and there is no way to restore it. <br /> 
If you are doing a fresh install, then tick all tables. <br /> 
If you are installing a plugin, then tick tables related to only that plugin. <br />
Core tables of Power Press are marked separately. Do not tick these if you are only installing a plugin.

<p> Developer of a plugin must identify their tables by using their plugin name in table KEY. If they have not followed even this basic guideline, then do not install their plugin. </p>

<form action="'.$base_url.'install" method="post">
';
ksort($table);
foreach( $table as $k=>$kk ){
if(is_numeric(has($kk,'_dir'))){ $core=' - core table'; }else{ $core=''; }
echo '<input type="checkbox" name="t[]" value="'.$k.'" />'. $k. ' '.$core.'<br />';
}
echo '<p> Enter your database password: <br /> <input type="text" name="pd" /></p>
<p> <input type="checkbox" name="fp" value="1" /> Set file permissions also? </p>
<p> <input type="submit" name="submit" value="Install" /></p>
</form> </body></html>';
exit;
} }//exists





switch($hook){

case "install":
if( isset($_POST['pd']) && $_POST['pd'] == $dbp ){
$t=array(); $fp=0;
if(isset($_POST['t'])){ $t=$_POST['t']; }


if( isset($_POST['fp']) && $_POST['fp']==1 ){
//file permissions
if( chmod( $ROOT.'site.config.txt', 0777 ) === true ){ sa("site.config.txt writable now "); }else{ sa("site.config.txt cannot change permission "); }
if( chmod( $ROOT.'temp.s', 0777 ) === true ){ sa("temp writable now "); }else{ sa("temp cannot change permission "); }
if( chmod( $ROOT.'themes/', 0777 ) === true ){ sa("THEMES/ writable now "); }else{ sa("THEMES/ cannot change permission "); }
if( chmod( $ROOT.'img/', 0777 ) === true ){ sa("IMG/ writable now "); }else{ sa("IMG/ cannot change permission "); }
if( chmod( $ROOT.'img/media/', 0777 ) === true ){ sa("IMG/MEDIA/ writable now "); }else{ sa("IMG/MEDIA/ cannot change permission "); }
}//fp



$nn=' if not exists ';

if( in_array( 'urls', $t ) ){
//urls
//pid, stat, bidAmount, balance, tags, title, sdesc, url, pdata, email, password, fullName, phone, address, country, state, zip, txnID, payMode, views, clicks,  ratings, custid, ips, uSdate
$q=mqe(" drop table if exists $table[urls] ");
 $q= mqe("CREATE TABLE $nn $table[urls] ( pid bigint(18) NOT NULL auto_increment, stat char(2), bidAmount decimal(10,2), balance decimal(10,2), tags varchar(256),
title varchar(256) , sdesc varchar(256) , url varchar(256), pdata text, email varchar(255), password char(50), 
fullName varchar(255) , phone varchar(255) , 
address varchar(255) , country varchar(55) , state varchar(55) , zip char(25) , 
txnID varchar(55), payMode varchar(100) ,
views bigint(18), clicks bigint(18),  ratings int(10) , ips varchar(30), 
custid bigint(18),
 uSdate bigint(18), 
PRIMARY KEY (pid),UNIQUE id (pid),KEY id_2 (pid),
INDEX( stat, bidAmount, balance, tags )  ) ");
$q=mqe(" create index bidAmountUrls on $table[urls] ( bidAmount, balance, uSdate ) ");
$q=mqe(" create index uSdate on $table[urls] ( uSdate ) ");
$q= mqe(" create index ratingsUrls on $table[urls] ( ratings ) ");
$q= mqe(" create index phoneURLS on $table[urls] ( phone ) ");
$q= mqe(" create index emailURLS on $table[urls] ( email, password ) ");
$q= mqe(" create index titleURLS on $table[urls] ( title ) ");
$q= mqe(" create index emCust on $table[urls] ( custid ) ");
sa(" URLS done ");
}//in_array


if( in_array( 'td', $t ) ){
//pagesTrackData
//id, pid, sdate, devi, brow, geo, ref, refd, ips
$q=mqe(" drop table if exists $table[td] ");
$q= mqe("CREATE TABLE $nn $table[td] ( id bigint(18) NOT NULL auto_increment, pid bigint(18), sdate bigint(18),
devi varchar(25), brow varchar(25), geo char(25), 
ref varchar(255), refd varchar(255), 
ips varchar(30), 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( pid, sdate ) ) ");
$q=mqe(" create index devi on $table[td] ( devi ) ");
$q=mqe(" create index brow on $table[td] ( brow ) ");
$q=mqe(" create index geo on $table[td] ( geo ) ");
$q=mqe(" create index refd on $table[td] ( refd ) ");

sa("Landing page data done ");
}//in




if( in_array( 'pages', $t ) ){
//pages
//pid, title, sdesc, skey, pdata, theme, eDate, totalViews, monthViews, lastMonthViews, lastViewDate, trackOn, trackGEO, set1, linkIn, sdate
$q=mqe(" drop table if exists $table[pages] ");
$q= mqe("CREATE TABLE $nn $table[pages] ( pid bigint(18) NOT NULL auto_increment, 
title varchar(255), sdesc varchar(255), skey varchar(255), 
pdata mediumtext, theme varchar(255), 
eDate bigint(18), totalViews bigint(18), 
monthViews int(10), lastMonthViews int(10), lastViewDate bigint(18), 
trackOn int(2), trackGEO int(2),
set1 text, linkIn char(12), sdate bigint(18), 
PRIMARY KEY (pid),UNIQUE id (pid),KEY id_2 (pid),
INDEX( sdate ) ) ");
$q=mqe(" create index pagesTitle on $table[pages] ( title, sdesc ) ");
$q=mqe(" create index pagesSkey on $table[pages] ( skey ) ");
$q=mqe(" create index pagesLinkIn on $table[pages] ( linkIn ) ");
$q= mqe(" create index eDate on $table[pages] ( eDate ) ");
sa(" Landing pages done ");
}//in




if( in_array( 'react', $t ) ){
//react
//id, pid, custid, reaction, sdate
$q=mqe(" drop table if exists $table[react] ");
$q= mqe("CREATE TABLE $nn $table[react] ( id bigint(18) NOT NULL auto_increment, pid bigint(18), custid bigint(18), reaction char(20), sdate bigint(18), 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( pid, custid, reaction ) ) ");
$q=mqe(" create index reaction on $table[react] ( reaction ) ");
sa("Reactions done");
}//in




if( in_array( 'rateurls', $t ) ){
//rateurls
//id, pid, custid, type
// type has 1 for highlight, 0 for bury
$q= mqe(" drop table if exists $table[rateurls] ");
$q= mqe("CREATE TABLE $nn $table[rateurls] ( id bigint(18) NOT NULL auto_increment, pid bigint(18), custid bigint(18), type int(2) , 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( pid, custid, type ) ) ");
sa(" Rating URLS done ");
}//in




if( in_array( 'blocks', $t ) ){
//blocks //type stores 1 if this member has blocked, 0 if other member blocked this member
//when member blocks other member, 2 entries are made, both members block each other
//id, custid, profileID, type
$q= mqe(" drop table if exists $table[blocks] ");
$q= mqe("CREATE TABLE $nn $table[blocks] ( id bigint(18) NOT NULL auto_increment, custid bigint(18), profileID bigint(18), type int(2) , 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( custid, profileID, type ) ) ");
sa(" Blocks done ");
}//in


if( in_array( 'reports', $t ) ){
//reports
//id, pid, custid, reason, rSdate
$q= mqe(" drop table if exists $table[reports] ");
$q= mqe("CREATE TABLE $nn $table[reports] ( id bigint(18) NOT NULL auto_increment, pid bigint(18), custid bigint(18), reason text, rSdate bigint(18) , 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( pid, custid ) ) ");
$q=mqe(" create index rSdate on $table[reports] (rSdate) ");
sa(" Reports done ");
}//in


if( in_array( 'ratings', $t ) ){
//ratings
//id, pid, custid, type
// type has 1 for highlight, 0 for bury
$q= mqe(" drop table if exists $table[ratings] ");
$q= mqe("CREATE TABLE $nn $table[ratings] ( id bigint(18) NOT NULL auto_increment, pid bigint(18), custid bigint(18), type int(2) , 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( pid, custid, type ) ) ");
sa(" Ratings done ");
}//in


if( in_array( 'tags', $t ) ){
//tags
// id, tag, totalNew, totalCount, sdate
$q= mqe(" drop table if exists $table[tags] ");
$q= mqe("CREATE TABLE $nn $table[tags] 
( id bigint(18) NOT NULL auto_increment, 
tag varchar(255), totalNew int(10), totalCount bigint(18), sdate bigint(18), 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( tag ) )");
$q=mqe(" create index totalNew on $table[tags] (totalNew) ");
$q=mqe(" create index totalCount on $table[tags] (totalCount) ");
sa(" Tags done ");
}//in


if( in_array( 'posts', $t ) ){
//posts
//pid, custid, pStat, parentID, title, pdata, fileType, fileName, reactions, mainParentID, totalReplies, totalShares, views, lastReplyUser, lastReplyTime, rating, settings, ips, useragent, sdate
$q= mqe(" drop table if exists $table[posts] ");
 $q= mqe("CREATE TABLE $nn $table[posts] ( pid bigint(18) NOT NULL auto_increment, custid bigint(18), pStat int(1), parentID bigint(18), 
title varchar(255) , pdata text, 
fileType char(2), fileName varchar(256), 
 reactions text, 
mainParentID bigint(18), totalReplies int(10), totalShares int(10), views int(10), lastReplyUser varchar(100), lastReplyTime bigint(18), rating int(10), settings text,
ips varchar(50), useragent varchar(256),
sdate bigint(18), PRIMARY KEY (pid),UNIQUE id (pid),KEY id_2 (pid), 
index( custid, pStat, parentID, title  ) ) ");
$q=mqe(" create index postparentID on $table[posts] ( parentID) ");
$q=mqe(" create index postLastReplyTime on $table[posts] ( lastReplyTime ) ");
$q=mqe(" create index postsSdate on $table[posts] (sdate) ");
$q=mqe(" create index postRating on $table[posts] (rating ) ");
sa(" Posts done ");
}//in


if( in_array( 'p2t', $t ) ){
//p2t //posts to tag
//id, pid, tag
$q= mqe(" drop table if exists $table[p2t] ");
 $q= mqe("CREATE TABLE $nn $table[p2t] ( id bigint(18) NOT NULL auto_increment, pid bigint(18), tag varchar(255) , 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( pid, tag ) ) ");
sa(" posts joined to tag done ");
}//in


if( in_array( 'noti', $t ) ){
//noti
//id, custid, message, nSdate
$q= mqe(" drop table if exists $table[noti] ");
$q= mqe("CREATE TABLE $nn $table[noti] ( id bigint(18) NOT NULL auto_increment, custid bigint(18), message varchar(256), nSdate bigint(18), 
PRIMARY KEY (id),UNIQUE id (id),KEY id_2 (id),
INDEX( custid ) ) ");
$q=mqe(" create index nSdate on $table[noti] (nSdate) ");
sa(" Notifications done ");
}//in





}//submit
break;
}//switch
?>