<?php if(!$flag){ exit(); }

switch( $hook ){

case "$rv[story]":

$id= $load[1];
$sort= strtolower($load[2]);
$p= $load[3]; if(!is_numeric($p)){ $p=0; }

$allowedSort=array( 'best', 'latest', 'oldest' );
if( !in_array( $sort, $allowedSort ) ){ $sort= $rv['sort']; }

if( is_numeric( $id ) ){
$s= mqs(" select p.*,
c.stat, c.username, c.set1, 
group_concat( t.tag ) as tags 
from $table[posts] as p 
left join $table[cust] as c 
on p.custid = c.custid  
left join $table[p2t] as t 
on p.pid = t.pid 
where p.pid='$id' 
and p.pStat='1' 
group by ( p.pid ) limit 1
");
}


/*
//if admin has specified tags, 
and this post got a tag which is not in that list,
then it means that this post belongs to some other domain
do not show on this domain
Script can be setup to use a common database and different domains
each domain shows admin specified tags for that domain
autoTags should be NO & admin MUST give a list of approved tags
*/
if( $rv['autoTags'] != 'yes' ){
if( sizeof($rv['tagList'])>0 ){
$at=array();
foreach( $rv['tagList'] as $v ){ $at[]= strtolower($v); }
foreach( $rv['adminTagList'] as $v ){ $at[]= strtolower($v); }
$needle= explode(',', strtolower($s['tags']));

foreach( $needle as $v ){ if( !in_array( $v, $at ) ){ unset($s); break; } }
} }//we are using auto tags here. Do not do this check



if(isset($_SESSION['es'])){
$co.='<p> If you do not see your comment or post immediately, then its probably because your post or comment is awaiting approval by an admin. Please have patience and check later. </p>';
}


if( isset($s) && $s['pid']==$id && $s['stat']=='y' ){

//check if allowReplies is on
if( $rv['allowReplies']!='yes' && $s['parentID']>0 ){
$base_url.=$rv['story'].'/'.$s['parentID'].'/latest';
redirect("$base_url"); exit();
}


//update views
$q= mqu(" update $table[posts] set views=views+1 where pid='$id' limit 1 ");


//show post first

$storyType='';
if( isset($s['users']) ){ $storyType.=' Friends Shared '; }
if( $s['fileType']=='v' ){ $storyType.=' Video '; }
elseif( $s['fileType']=='a' ){ $storyType.=' Audio '; }
elseif( $s['fileType']=='i' ){ $storyType.=' Picture '; }
elseif( $s['fileType']=='p' ){ $storyType.=' PDF '; }

$storyType.=' '.$rv['story'].' ';

$pt= $storyType.': '. ucfirst(ss( $s['title'] ));
$meta=$pt;
$meta_key='';
if( !is_array($s['tags']) ){
$tags= trimArray(explode(',', $s['tags']));
}else{ $tags= trimArray($s['tags']); }
if( sizeof($tags)>0 ){
foreach( $tags as $t  ){ $meta_key.="$t,"; }
$meta_key= trim($meta_key, ",");
}


if( $s['parentID']!='0' ){
$co.='<h1> <a href="'.$base_url.$rv[story].'/'.$s['parentID'].'/'.Rchar(ss($s['title']),'-').'"> '. ss($s['title']). '</a> </h1>';
}

$op= $s['custid'];
$co.= showPost( $s, "yes", "yes", 'y', $op );


foreach( $rv['addOn'] as $v ){
$fn=$v."_postAddOn";
if( is_callable($fn) ){
call_user_func( $fn, $s );
} }


$co.='<div style=" clear: both; margin: 10px;"> [share] </div>';


//show ads
if(file_exists($ROOT.'code/dir.directory.php')){
$co.= showADS( $s['tags'] );
}

$co.='<div style=" clear: both; margin: 10px;" class="ads"> [AD_MID] </div>';


//if comments are allowed
if( $rv['allowComments']!='no' ){

//show postBox
$showBox=1;
if( isset($rv['hidePostBox']) ){ $showBox=0; }


if( $s['mainParentID'] == 0 ){

if( $showBox==1 ){
$co.='<div class="item" style=" text-align: center; ">
'. postBox( $id ). '
</div>';
}//showBox


//show comments now

$co.='<h2>'. $s['totalReplies'].' '.$rv['commentsWord']. '</h2>';

$co.='<p> Sorted by '.$sort.' first 
<a href="javascript: sortPost( \''.$s['pid'].'\', \''.$rv['story'].'\', \'latest\' )"> Latest </a>
<a href="javascript: sortPost( \''.$s['pid'].'\', \''.$rv['story'].'\', \'oldest\' )"> Oldest </a>
<a href="javascript: sortPost( \''.$s['pid'].'\', \''.$rv['story'].'\', \'best\' )"> Best </a>
</p>';


if( $sort=='latest' ){
$qq=" order by p.sdate desc ";
}elseif( $sort == 'oldest' ){
$qq=" order by p.sdate asc ";
}else{
$qq=" order by p.rating desc ";
}


if( is_numeric($_SESSION['cust']['id']) ){
$custid= toInt($_SESSION['cust']['id']);

$block=" and p.custid not in 
(select b.profileID as custid from $table[blocks] as b where 
b.custid='$custid' ) 
";

$blockRev=" and p.custid not in 
( select b.custid from $table[blocks] as b where 
b.custid>'0' and b.profileID='$custid' )
";
}else{ $block=""; }



$limit=$rv['totalComments'];
if(!is_numeric($limit)){ $limit=20; }
$lim=$limit*$p;

$q= mq(" select p.*, c.stat, c.username, c.set1 
from $table[posts] as p, $table[cust] as c where 
p.custid = c.custid and p.pStat='1' and p.parentID='$id' 
and c.stat='y' 
$block 
$qq limit $lim, $limit ");


if(sizeof( $q )>0){
$ids='';
foreach( $q as $v ){ $ids.=$v['pid'].','; }
$ids= substr( $ids,0, strlen($ids)-1 );
$v=mqu(" update $table[posts] set views=views+1 where pid in ($ids) ");
}//sizeof


$noHeading=0;
foreach( $q as $v ){
$co.= showPost( $v, "yes", "yes", 'n', $op, $noHeading );
}

if( $s['totalReplies'] > $limit ){
$co.='<h4 class="paging">';
if( $p>0 ){
$co.='<a href="'.$base_url.$rv['story'].'/'.$id.'/'.$sort.'/'.($p-1).'"> Previous Page </a>';
}
$co.='<a href="'.$base_url.$rv['story'].'/'.$id.'/'.$sort.'/'.($p+1).'"> Next Page </a>';
$co.='</h4>';
}//totalReplies

}//parentID == 0

}//allowComments

}else{
$co.='<h3> Error: This post might have been deleted, or does not belongs here, or user account might be suspended... </h3>';
}
break;


case "reportPost":
if(!is_numeric( $_SESSION['cust']['id'] )){ login(); }
$pt=' Report Post ';
$id= $load[1];
if( is_numeric($id) ){

$q= mqs(" select id from $table[reports] where pid='$id' limit 1 ");
if( !is_numeric( $q['pid'] ) ){

if( isset($_POST['submit']) ){
$custid= toInt($_SESSION['cust']['id']);
$reason= qs($_POST['reason']);
$sdate=time();

if( strlen($reason)>5 ){

$q= mqi(" insert into $table[reports] 
( pid, custid, reason, rSdate ) values 
( '$id', '$custid', '$reason', '$sdate' )
");

$co.='
<script type="text/javascript">
alert(" Thanks. Post has been reported. Our admin team will soon consider your request and will take appropriate action. ");
window.location="'.$base_url.'dashboard";
</script>
<h1> Thanks. Post has been reported and admins will soon take appropriate action </h1>
';

}else{ $co.=er(' Please enter appropriate reason. In case of copyright material, please provide link to original material claim '); }


}//submit

$co.='<h1> Report Post  </h1>
<p> You are about to report a post for deletion.
<p> You can do so if you believe that a post is against community standards. For example, if the post promotes hatred, terrorism, is abusive to you, uses inappropriate language, uses copyright material.
<form action="'.$base_url.'reportPost/'.$id.'" method="post">
<p> Enter reason for reporting: <br />
<input type="text" name="reason" />
<input type="submit" name="submit" value="Report it" />
</form>
';

}else{ $co.=er(' This post has already been reported. '); }
}else{ $co.=er(' No story specified to report '); }
break;


case "reactions":
if( $rv['allowReactions']!='no' ){

$sdate=time();
if( check_member()!=1 ){ login(); }
$id= qs($load[1]);
if( is_numeric($id) ){
$q=mqs(" select pid, title from $table[posts] where pid='$id' limit 1 ");
if( isset($q['pid']) && $q['pid']==$id ){

$d= array_reverse(Rdir($ROOT.'smily', 'gif', '', false));

if( isset($_POST['submit']) ){

$r=qs($_POST['r']);
$custid= toInt($_SESSION['cust']['id']);

if( in_array( $r, $d ) ){

$s=mqs(" select id from $table[react] where pid='$id' and custid='$custid' limit 1 ");
if( isset($s['id']) && is_numeric($s['id']) ){ $s=$s['id']; }else{ $s=0; }

if( $s==0 ){
$s= mqi(" insert into $table[react] ( pid,custid,reaction,sdate )values ('$id','$custid','$r','$sdate') ");
}else{
$s=mqu(" update $table[react] set reaction='$r' where id='$s' limit 1 ");
}

$co.='<h3> You reacted as: '.$r.' to this post. You can change your reaction below if you want. </h3>';

}//in_array

}//submit


$s=mq(" select reaction, count(*) as c from $table[react] where pid='$id' group by reaction ");

$co.='<h1> Reactions to: <a href="'.$base_url.$rv['story'].'/'.$id.'/'.Rchar($q['title'],"-").'">'. ucfirst(ss($q['title'])). '</a></h1><p>';

if( isset($s[0]['c']) && is_numeric($s[0]['c']) ){
foreach( $s as $k ){
if( strlen($k['reaction'])>1 && file_exists( $ROOT.'smily/'.$k['reaction'].'.gif' ) ){

$co.='<img src="'.$base_url.'smily/'.$k['reaction'].'.gif" alt="'.$k['reaction'].'" />'.nFormat($k['c']).' &nbsp; ';

} }//foreach and file_exists
}//isset

$co.='</p>
<form action="'.$base_url.'reactions/'.$id.'" method="post">
Select your reaction: <select name="r">';
foreach($d as $k){
$img='<img src="'.$base_url.'smily/'.$k.'.gif" />';
$co.='<option value="'.$k.'">'. ucfirst($k).' '.$img.'</option>';
}
$co.='</select>
<input type="submit" name="submit" value="React Now" />
</form>
';


}else{ $co.=er(' Cannot find post '); }
}else{ $co.=er(' No post specified. '); }
}//allowReactions
break;



case "editPost":
if( $rv['allowEdit']=='yes' ){
if( check_member()!=1 ){ login(); }
$custid= toInt($_SESSION['cust']['id']);

$id=qs($load[1]);
if( is_numeric($id) ){
$q=mqs(" select pid, pdata, sdate from $table[posts] where pid='$id' and custid='$custid' limit 1 ");
if( isset($q['pid']) && is_numeric($q['pid']) ){
$pt=" Edit post ";
$co.="<h1> $pt </h1>";

$editDiff= time()-(3600*24* $rv['allowEditTime']);
if( ($editDiff <= $q['sdate']) || ($rv['allowEditTime'] ==0) ){

if( isset($_POST['submit']) ){

$reason= qs($_POST['reason']);
if( strlen($reason)>1 ){ $reason.="\r\n"; }

$data= trim($_POST['m']);
$data.= "\r\n Updated: ".date("d D F Y g:i a")."\r\n $reason";
$data= qsh($data);
$sdate=time();
$q=mqu(" update $table[posts] set pdata='$data', sdate='$sdate' where pid='$id' limit 1 ");


//files
$file= fileUpload( "i" );
if( $file['error']==0 ){
foreach($file as $k=>$kk){ $file[$k]=qs($kk); }
$q= mqu(" update $table[posts] set fileType='$file[type]', fileName='$file[name]' where pid='$id' limit 1 ");
}


foreach( $rv['addOn'] as $add ){
$fn= $add."_editPostAddOn";
if( is_callable($fn) ){
call_user_func( $fn, $id );
} }



$base= $base_url.$rv['story'].'/'.$id.'/latest';
redirect("$base"); exit;


}//submit

$co.='<form action="'.$base_url.'editPost/'.$id.'" method="post" enctype="multipart/form-data">
'.form_input("Reason for editting", "text", "reason", "").'
'. postBox( $id, ss($q['pdata']), "Save changes" ).'
</form>';


}else{ $co.=er(' Editting is only allowed if '.$rv['allowEditTime'].' days have not passed yet. '); }
}else{ $co.=er(' Cannot find this post in your account '); }
}else{ $co.=er(' No post found '); }
}else{ $co.=er(' Post editting functions are disabled by admins. You can delete your post if you want to and make a new one. '); }
break;



}//switch
?>